<?php

/**
 * Fired during plugin activation
 *
 * @link       https://getqurio.com/
 * @since      1.0.0
 *
 * @package    Qurio
 * @subpackage Qurio/includes
 */

/**
 * Fired during plugin activation.
 *
 * This class defines all code necessary to run during the plugin's activation.
 *
 * @since      1.0.0
 * @package    Qurio
 * @subpackage Qurio/includes
 * @author     AthensLive Media Solutions <hq@getqurio.com>
 */
class Qurio_Activator
{
    /**
     * Short Description. (use period)
     *
     * Long Description.
     *
     * @since    1.0.0
     */
    public static function activate()
    {
          global $wp_filesystem;

          // Initialize the WP_Filesystem.
          if (!function_exists('WP_Filesystem')) {
              require_once ABSPATH . 'wp-admin/includes/file.php';
          }

          WP_Filesystem();

          // Empty the log file
          $wp_filesystem->delete(QURIO_LOG_FILE);
          // Delete old log file too
          $wp_filesystem->delete(WP_CONTENT_DIR . '/my-qurio-log.txt');
    }
}
