<?php

/**
 * Define the internationalization functionality
 *
 * Loads and defines the internationalization files for this plugin
 * so that it is ready for translation.
 *
 * @link       https://getqurio.com/
 * @since      1.0.0
 *
 * @package    Qurio
 * @subpackage Qurio/includes
 */

/**
 * Define the internationalization functionality.
 *
 * Loads and defines the internationalization files for this plugin
 * so that it is ready for translation.
 *
 * @since      1.0.0
 * @package    Qurio
 * @subpackage Qurio/includes
 * @author     AthensLive Media Solutions <hq@getqurio.com>
 */
class Qurio_i18n
{
    /**
     * Load the plugin text domain for translation.
     *
     * @since    1.0.0
     */
    public function qurio_load_plugin_textdomain()
    {
        load_plugin_textdomain(
            "qurio",
            false,
            dirname(dirname(plugin_basename(__FILE__))) . "/languages/"
        );
    }
}